Package org.codehaus.groovy.runtime.callsite

# Class PogoGetPropertySite

java.lang.Object
org.codehaus.groovy.runtime.callsite.AbstractCallSite
org.codehaus.groovy.runtime.callsite.PogoGetPropertySite

All Implemented Interfaces:
  `CallSite`

    public class PogoGetPropertySite
    extends AbstractCallSite

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

  `array, index, name`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PogoGetPropertySite​(CallSite parent, java.lang.Class aClass)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `CallSite` | `acceptGetProperty​(java.lang.Object receiver)` |
  `CallSite` | `acceptGroovyObjectGetProperty​(java.lang.Object receiver)` |
  `java.lang.Object` | `getProperty​(java.lang.Object receiver)` |

  ### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

  `call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PogoGetPropertySite

    public PogoGetPropertySite​(CallSite parent, java.lang.Class aClass)

- ## Method Details

  - ### acceptGetProperty

    public CallSite acceptGetProperty​(java.lang.Object receiver)
    Overrides:
      `acceptGetProperty` in class `AbstractCallSite`

  - ### acceptGroovyObjectGetProperty

    public CallSite acceptGroovyObjectGetProperty​(java.lang.Object receiver)
    Overrides:
      `acceptGroovyObjectGetProperty` in class `AbstractCallSite`

  - ### getProperty

    public java.lang.Object getProperty​(java.lang.Object receiver) throws java.lang.Throwable
    Specified by:
      `getProperty` in interface `CallSite`
    Overrides:
      `getProperty` in class `AbstractCallSite`
    Throws:
      `java.lang.Throwable`